Redmine sample_plugin error

Added by rio sto 20 days ago

I'm trying to install the sample plugin just to get a feel for plugins in Redmine and I am receiving the following error:

ActiveRecord::StatementInvalid (PG::UndefinedTable: ERROR: missing FROM-clause entry for table "projects"
LINE 1: ..._on BETWEEN '2018-05-03' AND '2018-06-02') AND (((projects.i...
^
: SELECT "meetings".* FROM "meetings" WHERE (scheduled_on BETWEEN '2018-05-03' AND '2018-06-02') AND (((projects.id = 11 OR (projects.lft > 1 AND projects.rgt < 4))) AND (projects.status <> 9))):
lib/plugins/acts_as_activity_provider/lib/acts_as_activity_provider.rb:81:in `find_events'
lib/redmine/activity/fetcher.rb:91:in `block (2 levels) in events'
lib/redmine/activity/fetcher.rb:90:in `each'
lib/redmine/activity/fetcher.rb:90:in `block in events'
lib/redmine/activity/fetcher.rb:89:in `each'
lib/redmine/activity/fetcher.rb:89:in `events'
app/controllers/activities_controller.rb:56:in `index'
lib/redmine/sudo_mode.rb:63:in `sudo_mode

This is my Redmine environment setup:
Environment:
Redmine version 3.4.5.stable
Ruby version 2.3.1-p112 (2016-04-26) [x86_64-linux-gnu]
Rails version 4.2.8
Environment production
Database adapter PostgreSQL

Nothing has been altered - it is a brand new Redmine.

I'm not sure what is wrong exactly.

Replies (1)

RE: Redmine sample_plugin error - Added by Martin Denizet (redmine.org team member) 14 days ago

Hello,
Could it be that you forgot the do the plugin's migrations?:

RAILS_ENV=production bundle exec rake redmine:plugins:migrate

Cheers,

(1-1/1)